apiVersion: argoproj.io/v1alpha1
kind: Application
metadata:
  name: prometheus-stack
  namespace: argocd
  annotations:
    argocd.argoproj.io/sync-wave: "0"
spec:
  destination:
    namespace: monitoring
    server: https://kubernetes.default.svc
  project: monitoring
  source:
    path: monitoring/prometheus-stack/
    repoURL: ssh://git@gitlab-gitlab-shell.gitlab.svc.cluster.local:32022/gitops/argocd.git
    targetRevision: HEAD
  syncPolicy:
    automated:
      prune: true
      selfHeal: true
    syncOptions:
      - CreateNamespace=true
